/* A CSS Framework by Mike Stenhouse of Content with Style */

/* FORM ELEMENTS */
/* From http://www.wufoo.com/css/global/dynamic.css */

/* ----- CLASSIC WUFOO FORM ----- */

form ul {
  position: relative;
  list-style: none;
  width: 100%;
  padding: 0;
}

form li {
  line-height: 2em;
  margin: 0;
  padding: 1px 1px 6px 5px;
  list-style: none;
}

form li.focused {
  background-color: #fff7c0 !important;
}

form li p {
  font-size: 9px;
  line-height: 13px;
  color: #444;
}

form[id] li {
  display: block;
}

form[id] ul.glassList li {
  display: list-item;
}

form li div {
  display: inline-block;
}

form li div.group {
  display: block !important;
  background-color: #f7f7f7;
  padding: 10px;
  width: 450px;
}

form li div.group p, form div.group p label {
  text-align: left;
}

form li div.group input.large, form li div.group textarea.large, form li fieldset {
  width: 339px;
}

form[id] li div {
  display: inline;
}

form .left{
  float: left !important;
  margin: 0;
}

form .right{
  float: right !important;
  margin: 0;
}

form .clear{
  clear: both;
}

form li div {
  margin-bottom: 0;
}

form li div p {
  margin: 0 0 5px 0;
}

form div.left{
  margin-right: 2px !important;
}

form div.left[class]{
  margin-right: 4px !important;
}

form div.left img{
  margin: 0 0 -2px 0;
}

/* ----- INFO ----- */
form h2{
  font-size: 1.8em;
  clear: left;
}

form .info{
  display: inline-block;
  margin: 0 0 4px 0;
  padding: 15px 0 4px 0;
  border-bottom: 1px dotted #ccc !important;
  text-align: left;
  font-size: 150%;
  font-weight: 200;
}

form .info[class]{
  display: block;
}

form .info p{
  font-size: 1em;
  line-height: 1.3em;
  margin: 0 0 8px 0;
}

/* ----- SECTIONS ----- */
form .section{
  display: inline-block;
  border-top: 1px dotted #ccc !important;
  margin-top: 15px !important;
  padding-top: 12px !important;
  padding-bottom: 0 !important;
}

form .section[class]{
  display: block;
}

form .first{
  border-top: none !important;
  margin-top: 0 !important;
  padding-top: 1px !important;
}

form .section h3{
  font-size: 1.25em;
}

form .section p{
  font-size: 11px;
  line-height: 13px;
}

/* ----- FIELDS AND LABELS ----- */
label.desc{
  margin: 4px 0 3px 0;
  border: 0;
  color: #444;
  font-size: 1em;
  line-height: 1.3em;
  display: block;
  font-weight: bold;
}

form th {
  text-align: right;
  padding-right: 3px;
}

p label {
  font-weight: normal;
}

input.text, input.number, input.url, input.email, input.password, input.file,
textarea.textarea, select.select {
  font-size: 1.2em;
  border-top: 1px solid #7c7c7c;
  border-left: 1px solid #c3c3c3;
  border-right: 1px solid #c3c3c3;
  border-bottom: 1px solid #ddd;
  background-color: #fff;
  color: #333;
}

input.text:hover{ background-color: #ffd }

input.text, input.number, input.url, input.email, input.password, input.file{
  padding: 2px;
}

input.currency{
  text-align: right;
}

input.checkbox, input.radio{
  display: block;
  line-height: 1.4em;
  margin: 8px 0 0 3px;
  width: 13px;
  height: 13px;
}

input.focus, textarea.focus {
  background: #ffd;
  color: #000;
}

label.choice {
  display: block;
  line-height: 1.4em;
  margin: -19px 0 0 25px;
  padding: 4px 0 5px 0;
  color: #444;
  width: 80%;
  font-size: 1.05em;
}

textarea.textarea{
  font-size: 1.1em;
  font-family: Tahoma,"Lucida Grande", "Trebuchet MS", Verdana, sans-serif;
  margin-bottom: 1px;
}

textarea.textarea[class]{
  font-family: "Lucida Grande", Tahoma, "Trebuchet MS", Verdana, sans-serif;
}

select.select{
  padding: 1px 0 0 0;
  margin: 1px 0 3px 0;
}

select.select[class]{
  margin: 0;
  padding: 1px 0 1px 0;
}

/* ----- SIZES ----- */
form .small{
  width: 70px;
}

form .medium{
  width: 170px;
}

form .large, form textarea.textarea{
  width: 349px;
}

form .tags{
  width: 320px;
}

form textarea.small{
  height: 5.5em;
}

form textarea.medium{
  height: 10em;
}

form textarea.large{
  height: 20em;
}

/* ----- ERRORS ----- */
form li.error{
  background-color: #FFDFDF;
  margin: 3px 0 !important;
}

input.error, textarea.error {
  border: 1px solid #EF5959;
  border-left: 1px solid #FF8F8F;
  border-top: 1px solid #FF8F8F;
  background: #fff;
}

p.error, li.error label.desc{
  color: red !important;
}

p.error{
  font-size: 9px !important;
  margin: 1px 0;
}

/* ----- REQUIRED ----- */
.req {
  font-size: 1em !important;
  color: #f90;
  font-weight: bold;
}

/* ----- Fieldsets ----- */
fieldset {
  margin: 0 0 5px 0;
  padding: 10px 10px 5px 10px;
  color: #444;
}

fieldset.odd { background: #eee }

fieldset.odd legend {
  background: #eee;
}

/* Firefox and others, don't apply to IE or it will put a border under each input element */
li>fieldset, form>fieldset { border: 1px solid silver }

fieldset.choices{
  padding: 10px 5px 10px 10px;
}

fieldset.fieldset{
  padding: 0 0 10px 0;
}

legend{
  font-weight: bold;
  margin: 0 0 0 0;
  color: #444;
  padding: 0 5px;
  /*Conflicts with Ext collapsible panel functionality.*/
  /*    border-top: 1px solid silver;
      border-right: 1px solid silver;
      border-left: 1px solid silver*/
}

#formProperties[id] legend, .choices[class] legend{
  margin: 0 0 0 -5px;
}

.fieldset legend{
  margin: 0;
}

.fieldset[class] legend{
  margin: 0 0 0 5px;
}

#formProperties fieldset div{
  margin-bottom: 7px;
}

fieldset div .number{
  margin: 7px 15px 0 0;
}

fieldset p{
  margin: 10px;
}

/* ----- Choices ----- */
.choices input{
  width: 200px;
  margin-right: 3px;
}

.choices ol{
  margin: 10px 0 0 0;
}

.choices[class] ol{
  margin: 0 !important;
}

.choices img{
  margin: 0 0 1px 0;
}

fieldset ol li {
  display: list-item !important;
  margin: 0 5px 2px 3px !important;
  padding: 0 !important;
  list-style: inside decimal;
}

/* END FORM ELEMENTS */
button, .button {
  text-align: center;
  padding-left: 4px;
  padding-right: 4px;
  cursor: pointer;
}

/* ----- Label ----- */
.label {
  font-size: 1em !important;
  /*color: #f90;*/
  font-weight: bold;
}